<!doctype html>
<html class="no-js" <?php language_attributes(); ?>>
<?php $mcgill_redux_demo = get_option('redux_demo'); ?>
    <head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?php if(isset($mcgill_redux_demo['favicon']['url'])){ ?>
        <link rel="shortcut icon" href="<?php echo esc_url($mcgill_redux_demo['favicon']['url']); ?>">
    <?php }?>
    <?php if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) {
        ?>
    <?php }?>
    <?php wp_head(); ?>
    </head>
    <body id="post-<?php the_ID(); ?>" <?php post_class(' dark '); ?>>
        <div id="mcgill-page"> <a href="#" class="js-mcgill-nav-toggle mcgill-nav-toggle"><i></i></a>
            <!-- Sidebar Section -->
            <aside id="mcgill-aside">
                <!-- Logo -->
                <div class="mcgill-logo">
                    <a href="<?php echo esc_url(home_url('/')); ?>">
                        <?php if(isset($mcgill_redux_demo['logo']['url']) && $mcgill_redux_demo['logo']['url'] != ''){ ?>
                        <img src="<?php echo esc_url($mcgill_redux_demo['logo']['url']); ?>" alt="Logo">
                        <?php }else{ ?>
                          <img src="<?php echo get_template_directory_uri();?>/images/logo.png" alt="Logo">
                        <?php } ?>
                    </a>
                    <h1><a href="<?php echo esc_url(home_url('/')); ?>"><?php echo wp_specialchars_decode(esc_attr($mcgill_redux_demo['heading']));?></a> 
                        <span><?php echo wp_specialchars_decode(esc_attr($mcgill_redux_demo['subheading']));?></span>
                    </h1> 
                </div>
                <!-- Menu -->
                <nav id="mcgill-main-menu">
                    <?php 
                      wp_nav_menu( 
                      array( 
                            'theme_location' => 'dark',
                            'container' => '',
                            'menu_class' => '', 
                            'menu_id' => '',
                            'menu'            => '',
                            'container_class' => '',
                            'container_id'    => '',
                            'echo'            => true,
                            'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
                            'walker'            => new mcgill_wp_bootstrap_navwalker(),
                            'before'          => '',
                            'after'           => '',
                            'link_before'     => '',
                            'link_after'      => '',
                            'items_wrap'      => '<ul  class=" %2$s">%3$s</ul>',
                            'depth'           => 0,        
                        )
                    ); ?>
                </nav>
                <?php if(isset($mcgill_redux_demo['phone'])){?>
                <!-- Info -->
                <div class="mcgill-contact-info">
                    <div class="feat-inner">
                        <div class="feat-info">
                            <h6><?php echo wp_specialchars_decode(esc_attr($mcgill_redux_demo['phone_title']));?></h6>
                            <h5><?php echo wp_specialchars_decode(esc_attr($mcgill_redux_demo['phone']));?></h5> </div>
                    </div>
                </div>
                <?php }else{?>
                <?php } ?>
                <!-- Footer -->
                <div class="mcgill-footer">
                    <ul>
                        <?php if(isset($mcgill_redux_demo['link_facebook'])){?>
                        <li><a href="<?php echo wp_specialchars_decode(esc_attr($mcgill_redux_demo['link_facebook']));?>"><i class="fab fa-facebook-f"></i></a></li>
                        <?php }else{ ?>
                        <?php } ?>

                        <?php if(isset($mcgill_redux_demo['link_twitter'])){?>
                        <li><a href="<?php echo wp_specialchars_decode(esc_attr($mcgill_redux_demo['link_twitter']));?>"><i class="fab fa-twitter"></i></a></li>
                        <?php }else{ ?>
                        <?php } ?>

                        <?php if(isset($mcgill_redux_demo['link_instagram'])){?>
                        <li><a href="<?php echo wp_specialchars_decode(esc_attr($mcgill_redux_demo['link_instagram']));?>"><i class="fab fa-instagram"></i></a></li>
                        <?php }else{ ?>
                        <?php } ?>

                        <?php if(isset($mcgill_redux_demo['link_linkedin'])){?>
                        <li><a href="<?php echo wp_specialchars_decode(esc_attr($mcgill_redux_demo['link_linkedin']));?>"><i class="fab fa-linkedin-in"></i></a></li>
                        <?php }else{ ?>
                        <?php } ?>
                    </ul>
                </div>
                <div class="copyright text-center">
                    <p><?php echo wp_specialchars_decode(esc_attr($mcgill_redux_demo['description']));?></p>
                </div>
            </aside>
            <div id="mcgill-main">