(function () {
    'use strict';
    var isMobile = {
        Android: function () {
            return navigator.userAgent.match(/Android/i);
        }
        , BlackBerry: function () {
            return navigator.userAgent.match(/BlackBerry/i);
        }
        , iOS: function () {
            return navigator.userAgent.match(/iPhone|iPad|iPod/i);
        }
        , Opera: function () {
            return navigator.userAgent.match(/Opera Mini/i);
        }
        , Windows: function () {
            return navigator.userAgent.match(/IEMobile/i);
        }
        , any: function () {
            return (isMobile.Android() || isMobile.BlackBerry() || isMobile.iOS() || isMobile.Opera() || isMobile.Windows());
        }
    };
    // Full Height
    var fullHeight = function () {
        if (!isMobile.any()) {
            jQuery('.js-fullheight').css('height', jQuery(window).height());
            jQuery(window).resize(function () {
                jQuery('.js-fullheight').css('height', jQuery(window).height());
            });
        }
    };
    // Animations
    var contentWayPoint = function () {
        var i = 0;
        jQuery('.animate-box').waypoint(function (direction) {
            if (direction === 'down' && !jQuery(this.element).hasClass('animated')) {
                i++;
                jQuery(this.element).addClass('item-animate');
                setTimeout(function () {
                    jQuery('body .animate-box.item-animate').each(function (k) {
                        var el = jQuery(this);
                        setTimeout(function () {
                            var effect = el.data('animate-effect');
                            if (effect === 'fadeIn') {
                                el.addClass('fadeIn animated');
                            }
                            else if (effect === 'fadeInLeft') {
                                el.addClass('fadeInLeft animated');
                            }
                            else if (effect === 'fadeInRight') {
                                el.addClass('fadeInRight animated');
                            }
                            else {
                                el.addClass('fadeInUp animated');
                            }
                            el.removeClass('item-animate');
                        }, k * 200, 'easeInOutExpo');
                    });
                }, 100);
            }
        }, {
            offset: '85%'
        });
    };
    // Burger Menu 
    var burgerMenu = function () {
        jQuery('.js-mcgill-nav-toggle').on('click', function (event) {
            event.preventDefault();
            var $this = jQuery(this);
            if (jQuery('body').hasClass('offcanvas')) {
                $this.removeClass('active');
                jQuery('body').removeClass('offcanvas');
            }
            else {
                $this.addClass('active');
                jQuery('body').addClass('offcanvas');
            }
        });
    };
    // outside of offcanvass
    var mobileMenuOutsideOn = function () {
        jQuery(document).on(function (e) {
            var container = jQuery("#mcgill-aside, .js-mcgill-nav-toggle");
            if (!container.is(e.target) && container.has(e.target).length === 0) {
                if (jQuery('body').hasClass('offcanvas')) {
                    jQuery('body').removeClass('offcanvas');
                    jQuery('.js-mcgill-nav-toggle').removeClass('active');
                }
            }
        });
        jQuery(window).scroll(function () {
            if (jQuery('body').hasClass('offcanvas')) {
                jQuery('body').removeClass('offcanvas');
                jQuery('.js-mcgill-nav-toggle').removeClass('active');
            }
        });
    };
    // Sub Menu 
    jQuery('#mcgill-main-menu li.mcgill-sub>a').on('click', function () {
        jQuery(this).removeAttr('href');
        var element = jQuery(this).parent('li');
        if (element.hasClass('open')) {
            element.removeClass('open');
            element.find('li').removeClass('open');
            element.find('ul').slideUp();
        }
        else {
            element.addClass('open');
            element.children('ul').slideDown();
            element.siblings('li').children('ul').slideUp();
            element.siblings('li').removeClass('open');
            element.siblings('li').find('li').removeClass('open');
            element.siblings('li').find('ul').slideUp();
        }
    });
    jQuery('#mcgill-main-menu>ul>li.mcgill-sub>a').append('<span class="holder"></span>');
    // Slider
    var sliderMain = function () {
        jQuery('#mcgill-hero .flexslider').flexslider({
            animation: "fade"
            , slideshowSpeed: 7000
            , directionNav: true
            , start: function () {
                setTimeout(function () {
                    jQuery('.slider-text').removeClass('animated fadeInUp');
                    jQuery('.flex-active-slide').find('.slider-text').addClass('animated fadeInUp');
                }, 500);
            }
            , before: function () {
                setTimeout(function () {
                    jQuery('.slider-text').removeClass('animated fadeInUp');
                    jQuery('.flex-active-slide').find('.slider-text').addClass('animated fadeInUp');
                }, 500);
            }
        });
    };
    // Sticky 
    var stickyFunction = function () {
        var h = jQuery('.image-content').outerHeight();
        if (jQuery(window).width() <= 992) {
            jQuery("#sticky_item").trigger("sticky_kit:detach");
        }
        else {
            jQuery('.sticky-parent').removeClass('stick-detach');
            jQuery("#sticky_item").trigger("sticky_kit:detach");
            jQuery("#sticky_item").trigger("sticky_kit:unstick");
        }
        jQuery(window).resize(function () {
            var h = jQuery('.image-content').outerHeight();
            jQuery('.sticky-parent').css('height', h);
            if (jQuery(window).width() <= 992) {
                jQuery("#sticky_item").trigger("sticky_kit:detach");
            }
            else {
                jQuery('.sticky-parent').removeClass('stick-detach');
                jQuery("#sticky_item").trigger("sticky_kit:detach");
                jQuery("#sticky_item").trigger("sticky_kit:unstick");
                jQuery("#sticky_item").stick_in_parent();
            }
        });
        jQuery('.sticky-parent').css('height', h);
        jQuery("#sticky_item").stick_in_parent();
    };
    // Document on load.
    jQuery(function () {
        fullHeight();
        contentWayPoint();
        burgerMenu();
        mobileMenuOutsideOn();
        sliderMain();
        stickyFunction();
    });
    // Sections background image from data background
    var pageSection = jQuery(".bg-img, section");
    pageSection.each(function (indx) {
        if (jQuery(this).attr("data-background")) {
            jQuery(this).css("background-image", "url(" + jQuery(this).data("background") + ")");
        }
    });
    // Testimonials owlCarousel
    jQuery('.testimonials .owl-carousel').owlCarousel({
        loop:true,
        margin: 30,
        mouseDrag:true,
        autoplay:false,
        dots: false,
        nav: true,
        navText: ["<span class='lnr fa fa-angle-left'></span>","<span class='lnr fa fa-angle-right'></span>"],
        responsiveClass:true,
        responsive:{
            0:{
                items:1,
            },
            600:{
                items:2
            },
            1000:{
                items:2
            }
        }
    });
    // Clients owlCarousel
    jQuery('.clients .owl-carousel').owlCarousel({
        loop:true,
        margin: 60,
        mouseDrag:true,
        autoplay:true,
        dots: false,
        responsiveClass:true,
        responsive:{
            0:{
                margin: 10,
                items:2
            },
            600:{
                items:3
            },
            1000:{
                items:5
            }
        }
    });
    // Team owlCarousel
    jQuery('.team .owl-carousel').owlCarousel({
        loop: true,
        margin: 0,
        autoplay: false,
        dots: true,
        responsiveClass:true,
        responsive:{
            0:{
                items:1,
                autoplay:true,
            },
            600:{
                items:2,
                autoplay:true,
            },
            1000:{
                items:3,
                autoplay:false,
            }
        }
    });
     // Accordion
    jQuery(".accordion").on("click",".title", function () {
        jQuery(this).next().slideDown();
        jQuery(".accordion-info").not(jQuery(this).next()).slideUp();

    });
    jQuery(".accordion").on("click",".item", function () {
        jQuery(this).addClass("active").siblings().removeClass("active");

    });
    // img zoom
     jQuery(".img-zoom").magnificPopup({
    type: "image"
    , closeOnContentClick: !0
    , mainClass: "mfp-fade"
    , gallery: {
        enabled: !0
        , navigateByImgClick: !0
        , preload: [0, 1]
    }
})
    // event binding 
    var buttons = document.querySelectorAll(".btn .btn-contact .ul1 .tags .accordion");
    for(var i = 0; i < buttons.length; i++) {
      var button = buttons[i];
      button.addEventListener("on", function() {
        if(!button.classList.contains("active"))
          button.classList.add("active");
        else
          button.classList.remove("active");
      });
    }

}());